[ModuleList]
ModuleNum=29
Moduleenumdef=
ModuleEnableCtrlPath=
ModuleBypassCtrlPath=
Module0=AE
Module1=AWB
Module2=BLC
Module3=CCM
Module4=3DLUT
Module5=Degamma
Module6=GIC
Module7=Debayer
Module8=HDRMGE
Module9=DRC
Module10=Gamma
Module11=Dehaze
Module12=DPC
Module13=LDCH
Module14=CPSL
Module15=CPROC
Module16=IE
Module17=ColorAsGrey
Module18=LSC
Module19=B2DNR
Module20=BTNR
Module21=YNR
Module22=CNR
Module23=Sharp
Module24=CAC
Module25=AF
Module26=GAIN
Module27=CSM
Module28=CGC



[AE]
fullpath=/ae_calib
enablepath=/ae_calib/CommCtrl/Enable
bypasspath=
modepath=/ae_calib/CommCtrl/AecOpType
camAlgoResultType=

[AWB]
fullpath=/wb_v21
enablepath=
bypasspath=/wb_v21/control/byPass
modepath=/wb_v21/control/mode
camAlgoResultType=

[BLC]
fullpath=/ablc_calib
enablepath=/ablc_calib/BlcTuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[CCM]
fullpath=/ccm_calib
enablepath=/ccm_calib/control/enable
bypasspath=
modepath=
camAlgoResultType=

[3DLUT]
fullpath=/lut3d_calib
enablepath=/lut3d_calib/common/enable
bypasspath=
modepath=
camAlgoResultType=

[Degamma]
fullpath=/adegamma_calib
enablepath=/adegamma_calib/DegammaTuningPara/degamma_en
bypasspath=
camAlgoResultType=

[GIC]
fullpath=/agic_calib_v21
enablepath=/agic_calib_v21/GicTuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[Debayer]
fullpath=/debayer
enablepath=/debayer/param/debayer_en
bypasspath=
modepath=
camAlgoResultType=

[HDRMGE]
fullpath=/amerge_calib_V2
enablepath=
bypasspath=
modepath=
camAlgoResultType=

[DRC]
fullpath=/adrc_calib_V2
enablepath=/adrc_calib_V2/DrcTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[Gamma]
fullpath=/agamma_calib_V30
enablepath=/agamma_calib_V30/GammaTuningPara/Gamma_en
bypasspath=
modepath=
camAlgoResultType=

[Dehaze]
fullpath=/adehaze_calib_v30
enablepath=/adehaze_calib_v30/DehazeTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[DPC]
fullpath=/adpcc_calib
enablepath=/adpcc_calib/DpccTuningPara/Enable
bypasspath=
modepath=
camAlgoResultType=

[LDCH]
fullpath=/aldch
enablepath=/aldch/param/ldch_en
bypasspath=
modepath=
camAlgoResultType=

[CPSL]
fullpath=/cpsl
enablepath=/cpsl/param/enable
bypasspath=
modepath=/cpsl/param/mode
camAlgoResultType=

[CPROC]
fullpath=/cproc
enablepath=/cproc/param/enable
bypasspath=
modepath=
camAlgoResultType=

[IE]
fullpath=/ie
enablepath=/ie/param/enable
bypasspath=
modepath=
camAlgoResultType=

[ColorAsGrey]
fullpath=/colorAsGrey
enablepath=/colorAsGrey/param/enable
bypasspath=
modepath=
camAlgoResultType=

[LSC]
fullpath=/lsc_v2
enablepath=/lsc_v2/common/enable
bypasspath=
modepath=
camAlgoResultType=

[B2DNR]
fullpath=/bayer2dnr_v2
enablepath=/bayer2dnr_v2/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[BTNR]
fullpath=/bayertnr_v2
enablepath=/bayertnr_v2/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[YNR]
fullpath=/ynr_v3
enablepath=/ynr_v3/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[CNR]
fullpath=/cnr_v2
enablepath=/cnr_v2/TuningPara/enable
bypasspath=
modepath=
camAlgoResultType=

[Sharp]
fullpath=/sharp_v4
enablepath=/sharp_v4/TuningPara/enable
modepath=
camAlgoResultType=
enablegroup=

[CAC]
fullpath=/cac_calib
enablepath=/cac_calib/SettingPara/enable
bypasspath=/cac_calib/TuningPara/SettingByIso/bypass
modepath=
camAlgoResultType=

[AF]
fullpath=/af_v30
enablepath=/af_v30/TuningPara/contrast_af/enable
bypasspath=
modepath=
camAlgoResultType=


[GAIN]
fullpath=/gain_v2
enablepath=/gain_v2/TuningPara/hdrgain_ctrl_enable
bypasspath=
modepath=
camAlgoResultType=

[CSM]
fullpath=/csm
enablepath=
bypasspath=
modepath=/csm/TuningPara/op_mode
camAlgoResultType=

[CGC]
fullpath=/cgc
enablepath=
bypasspath=
modepath=/cgc/TuningPara/op_mode
camAlgoResultType=